using economy.Models;
using Microsoft.EntityFrameworkCore;
using System.Text;

var builder = WebApplication.CreateBuilder(args);

// Add services to the container.
builder.Services.AddControllersWithViews();

// HttpClient 사용
builder.Services.AddHttpClient<DataGoKR>();
builder.Services.AddHttpClient<FlowerAtOrKR>();
builder.Services.AddHttpClient<KoreaEximGoKR>();
builder.Services.AddHttpClient<DhlotteryCoKR>();
builder.Services.AddHttpClient<FIFA_API>();
builder.Services.AddHttpClient<NTS_API>();
builder.Services.AddHttpClient<Alpha_API>();

// DB 연결
builder.Services.AddDbContext<EconomyContext>(options => options.UseSqlServer(builder.Configuration.GetConnectionString("DefaultConnection")));

Encoding.RegisterProvider(CodePagesEncodingProvider.Instance); // 인코딩 등록

var app = builder.Build();

// Configure the HTTP request pipeline.
if (!app.Environment.IsDevelopment())
{
    app.UseExceptionHandler("/Home/Error");
    // The default HSTS value is 30 days. You may want to change this for production scenarios, see https://aka.ms/aspnetcore-hsts.
    app.UseHsts();
}

app.UseHttpsRedirection();
app.UseStaticFiles();

app.UseRouting();

app.UseAuthorization();

app.MapControllerRoute(
    name: "default",
    pattern: "{controller=Home}/{action=Index}/{id?}");

app.Run();
